%define name python-twython
%define version 1.2
%define release %mkrel 3

Summary: Twython - Easy Twitter utilities in Python
Name: %{name}
Version: %{version}
Release: %{release}
Group:  Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://pypi.python.org/pypi/twython/1.2
Source0: http://pypi.python.org/pypi/twython/1.2/twython-%{version}.tar.gz
Patch:   twython-1.2-setup.patch
License: MIT
BuildArch: noarch
BuildRequires: python-setuptools python-devel
Requires: python >= 2.5
Requires: python-simplejson
Obsoletes: %{name} < %{version}


%description
An easy (and up to date) way to access Twitter data with Python.

%prep
%setup -q -n twython-%{version}
%patch -p1

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=%buildroot 


%clean
rm -rf %buildroot


%files 
%defattr(-,root,root)
%{py_sitedir}/*

%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Tue Mar 02 2010 slick50 <lxgator@gmail.com> 1.2-1pclos2010
- initial pkg

